Bug 174561 - Unstable system with kernel 2.6.14
Unstable system with kernel 2.6.14
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-29 22:46 EST by David Waring
Modified: 2015-01-04 17:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-10 13:51:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Waring 2005-11-29 22:46:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-GB; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
System hangs after running for 24 hours to 48 hours.

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1637_FC & kernel-2.6.14-1.1644_FC4

How reproducible:
Always

Steps to Reproduce:
1.Boot 2.6.14 kernel on x86_64
2.Wait aprox 24 hours
3.can't even ctrl-alt-F1 to enter reboot commands
  

Actual Results:  System hangs, possibly interrupt problem as USB mouse shows problems before crash and USB media reader (11 in 1 flash card reader) turns off.

Expected Results:  System should not hang

Additional info:
Comment 1 Dave Jones 2006-02-03 02:28:54 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 2 David Waring 2006-02-04 09:15:36 EST
I've tested 2.6.15-1.1830_FC4smp and this still has the same problem.

While it was crashing this time I managed to get to a text console. I couldn't
log in but the console kept showing:

ata1: command 0x35 timeout, stat 0x50 host_stat 0x4

This does not happen with 2.6.13-1.1532_FC4smp.
Comment 3 Dave Jones 2006-09-16 23:21:59 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 4 David Waring 2006-09-23 14:12:12 EDT
Retested with fedora core 5 and the problem is still there with kernel
2.6.17-1.2187_FC5.x86_64. Since udev won't work with older kernels anymore this
means I no longer have a stable system (I've had to reboot the system 3 times so
far today because it's crashed) as I can no longer boot properly as a
workstation with the older 2.6.13 kernel (which was stable).
Comment 5 Jeremy French 2006-09-30 09:34:49 EDT
This is way too general for anyone to figure out what David's issue is - and
nobody has told him as much in the past YEAR!?

I have had no issue running x86_64 2.6 kernels through FC4 or FC5 (currently
running 2.6.17-1.2187). My guess (and it's completely a guess) is that you have
some hardware that isn't playing nice or that you're using something routinely
that isn't part of any of the popular repositories.

Check "ps -A" to see if you have an overabundance of any processes and check
"top" to see if any of them are running away. My guess is that you're using
something not part of Fedora that's causing this (something compiled from source
perhaps?). If you've installed anything without using either the "Add/Remove
Programs" menu option (pirut) or yumex, please let us know what it is and how
you installed it. If you're using any repositories other than the default ones
please let us know that as well.

Even though I doubt this is an actual hardware issue (this sounds like a memory
leak to me), if it does happen to be from one we would need to know exactly what
hardware you're using (motherboard, processor, mouse, etc) as well as the output
of lspci and lsmod before anyone could tell you anything constructive.
Comment 6 David Waring 2006-10-01 06:23:21 EDT
This tends to happen when the CPUs are busy. So this happens quite frequently
when I'm running BOINC or when I'm re-encoding video files (using transcode or
mencoder). But also happens occasionally when I'm only using the Gnome desktop
for browsing and e-mail (firefox & thunderbird + maybe a terminal window open
ssh'd to another computer).

Always the same pattern, computer loses ability to talk over network, then can't
access sata disk and hangs. From the few messages I can get at it appears to be
a breakdown in the interrupt handling. The system is stable for weeks (only ran
for weeks and not years because I was rebooting to try new kernels) with 2.6.13
kernel, but only remains stable for a few hours with 2.6.14 or above.

Hardware is:
2 x Opteron 244
MSI K8T800 Master2-Far motherboard
1GB ram (2x512)
250GB SATA HD
128MB Radeon 9250 AGP card
Firewire card
2 x Hauppage Nova-T cards.
PS/2 kbd & mouse.
Comment 7 Jeremy French 2006-10-02 09:34:23 EDT
I know that board had SATA interrupt problems under FC2. Perhaps some old issue
has reemerged.
Comment 8 Dave Jones 2006-10-16 20:41:05 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 David Waring 2006-11-10 13:51:11 EST
This problem went away when a power regulator on the motherboard gave a nice
light show and fried the M/B. My new motherboard is perfectly stable with the
latest kernel (Fedora Core 6). So since I can no longer test this problem
against the old motherboard I'll mark this as can't fix.

Note You need to log in before you can comment on or make changes to this bug.